import State from "../domain/State";
import Comment from "../domain/Comment";
import Action from "../domain/Action";
import ExplorationEvaluation from "../domain/ExplorationEvaluation";
// import CheckList from "../domain/CheckList";

export default interface BackgroundMessageService {

    getState(): Promise<State>;
    getActionList(): Promise<Action[]>;
    getCommentList(): Promise<Comment[]>;
    getExplorationEvaluation(): Promise<ExplorationEvaluation>

    setTabPosition(newPosition: {x: number, y:number}):void;
    upComment(comment: Comment):void;
    sendAction(action: Action): Promise<void>;

}
